#if !defined(AFX_STOCKPAGE_H__B9D57B87_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
#define AFX_STOCKPAGE_H__B9D57B87_2218_11D4_9FB5_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StockPage.h : header file
//


/////////////////////////////////////////////////////////////////////////////
// CStockPage dialog

class CStockPage : public CDialog
{
// Construction
public:
	// Simulate printing support like a View class:
	void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo);
	BOOL OnPreparePrinting(CPrintInfo* pInfo);
	void OnBeginPrinting( CDC* pDC, CPrintInfo* pInfo );

	// Data for report
	CFont m_TitleFont;
	CFont m_SubTitleFont;
	CFont m_BodyFont;
	CFont m_HeaderFont;
	int m_Left, m_Right, m_Top, m_Bottom;
	CTime m_ReportTime;
	int m_MaxLines;

	int PopulateTradeList( CTradeSet& TradeSet );
	void PopulateControls( CStockSet& StockSet );
	CStockPage(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CStockPage)
	enum { IDD = IDD_STOCKPAGE };
	CListCtrl	m_TradeList;
	CString	m_Company;
	CString	m_Exchange;
	CString	m_Industry;
	CString	m_Symbol;
	//}}AFX_DATA

	// Keep Stock ID handy
	int m_StockID;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStockPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CStockPage)
	afx_msg void OnFetch();
	afx_msg void OnNew();
	afx_msg void OnEdit();
	afx_msg void OnDelete();
	afx_msg void OnNewtrade();
	afx_msg void OnDeletetrade();
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	afx_msg void OnAddport();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STOCKPAGE_H__B9D57B87_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
